ShapiroWilkTest Class Reference

Normality test. More...

`#include <ShapiroWilkTest.h>`

Inheritance diagram for ShapiroWilkTest:

## Public Member Functions

virtual QString | logInfo ()
double | pValue ()
| ShapiroWilkTest (ApplicationWindow *parent, const QString &sample=QString())
QString | shortLogInfo ()
double | statistic ()
double | w ()
Public Member Functions inherited from StatisticTest
virtual double | lcl (double)
| Lower Confidence Limit. More...
virtual void | outputResultsTo (Table *)
virtual Table * | resultTable (const QString &name=QString())
| Returns a pointer to the table created to display the results. More...
void | setSignificanceLevel (double s)
void | setTail (const Tail &tail)
void | setTestValue (double val)
void | showDescriptiveStatistics (bool show=true)
| StatisticTest (ApplicationWindow *parent, double testValue=0.0, double level=0.05, const QString &sample=QString())
virtual double | ucl (double)
| Upper Confidence Limit. More...
Public Member Functions inherited from Statistics
double * | data ()
| Returns the y values of the input data set. More...
unsigned int | dataSize ()
| Returns the size of the input data set. More...
virtual int | dof ()
| Returns the degrees of freedom. More...
QString | logInfo (bool header=true)
double | mean ()
virtual bool | run ()
| Actually does the job. Should be reimplemented in derived classes. More...
QString | sampleName ()
bool | setData (const QString &)
void | showResultsLog (bool show=true)
double | standardDeviation ()
double | standardError ()
| Statistics (ApplicationWindow *parent, const QString &name=QString())
double | variance ()
| ~Statistics ()

## Protected Member Functions

QString | infoString (bool header=true)
void | swilk (int *init, double *x, int *n, int *n1, int *n2, double *a, double *w, double *pw, int *ifault)
Protected Member Functions inherited from Statistics
virtual void | freeMemory ()
| Frees the memory allocated for the X and Y data sets. More...
void | memoryErrorMessage ()

## Static Protected Member Functions

static double | poly (const double *cc, int nord, double x)

## Protected Attributes

double | d_pValue
double | d_w
Protected Attributes inherited from StatisticTest
bool | d_descriptive_statistics
double | d_significance_level
int | d_tail
double | d_test_val
Protected Attributes inherited from Statistics
QString | d_col_name
| The name of the source data set. More...
double * | d_data
| y data set to be analysed More...
double | d_mean
unsigned int | d_n
| The size of the data set to be analyzed. More...
bool | d_result_log
| Flag specifying if the results should be displayed in the results log. More...
double | d_sd
double | d_se
Table * | d_table
| A table source of data. More...
double | d_variance

## Additional Inherited Members

Public Types inherited from StatisticTest
enum | Tail { Left = 0, Right = 1, Both = 2 }
enum | TestType { StudentTest = 0, NormalityTest = 1, ChiSquareTest = 2, AnovaTest = 3 }

## Detailed Description

Normality test.

## Constructor & Destructor Documentation

## ShapiroWilkTest()

ShapiroWilkTest::ShapiroWilkTest | ( | ApplicationWindow * | parent,
|  | const QString & | sample = `QString()`
| ) |  |

References Statistics::d_data, Statistics::d_n, d_pValue, d_w, Statistics::freeMemory(), and swilk().

## Member Function Documentation

## infoString()

QString ShapiroWilkTest::infoString | ( | bool | header = `true` | ) |

protected

References Statistics::d_col_name, ApplicationWindow::d_decimal_digits, Statistics::d_n, d_pValue, StatisticTest::d_significance_level, and d_w.

Referenced by logInfo(), pValue(), and shortLogInfo().

## logInfo()

QString ShapiroWilkTest::logInfo | ( |  | ) |

virtual

Reimplemented from StatisticTest.

References Statistics::d_table, and infoString().

Referenced by AnovaDialog::acceptNormalityTest(), and pValue().

## poly()

double ShapiroWilkTest::poly | ( | const double * | cc,
|  | int | nord,
|  | double | x
| ) |  |

static protected

Referenced by pValue(), and swilk().

## pValue()

double ShapiroWilkTest::pValue | ( |  | ) |

inline virtual

Reimplemented from StatisticTest.

References d_pValue, infoString(), logInfo(), poly(), shortLogInfo(), swilk(), and w().

## shortLogInfo()

QString ShapiroWilkTest::shortLogInfo | ( |  | ) |

References infoString().

Referenced by AnovaDialog::acceptNormalityTest(), and pValue().

## statistic()

double ShapiroWilkTest::statistic | ( |  | ) |

inline virtual

Reimplemented from StatisticTest.

References d_w.

## swilk()

void ShapiroWilkTest::swilk | ( | int * | init,
|  | double * | x,
|  | int * | n,
|  | int * | n1,
|  | int * | n2,
|  | double * | a,
|  | double * | w,
|  | double * | pw,
|  | int * | ifault
| ) |  |

protected

References min, poly(), sign, and w().

Referenced by pValue(), and ShapiroWilkTest().

## w()

double ShapiroWilkTest::w | ( |  | ) |

inline

References d_w.

Referenced by pValue(), and swilk().

## Member Data Documentation

## d_pValue

double ShapiroWilkTest::d_pValue

protected

Referenced by infoString(), pValue(), and ShapiroWilkTest().

## d_w

double ShapiroWilkTest::d_w

protected

Referenced by infoString(), ShapiroWilkTest(), statistic(), and w().

The documentation for this class was generated from the following files:

- qtiplot/src/analysis/ShapiroWilkTest.h
- qtiplot/src/analysis/ShapiroWilkTest.cpp